# -*- coding: utf-8 -*-

# pyramid-helpers -- Helpers to develop Pyramid applications
# By: Cyril Lacoux <clacoux@easter-eggs.com>
#
# Copyright (C) 2011-2015 Cyril Lacoux, Easter-eggs
# @app_url@
#
# This file is part of pyramid-helpers.
#
# pyramid-helpers is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# pyramid-helpers is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from pyramid.exceptions import Forbidden
from pyramid.exceptions import NotFound
from pyramid.view import view_config


from pyramid_helpers.i18n import N_


# HTTPExceptions' titles
N_(u'Bad Request')
N_(u'Forbidden')
N_(u'Not Found')

N_(u'Access was denied to this resource.')
N_(u'The resource could not be found.')


@view_config(context=Forbidden, renderer='/errors.mako')
@view_config(context=NotFound, renderer='/errors.mako')
def http_error(request):
    _ = request.translate

    return dict(
        title=_(request.exception.title),
        subtitle=u'',
    )
