# -*- coding: utf-8 -*-

# pyramid-helpers -- Helpers to develop Pyramid applications
# By: Cyril Lacoux <clacoux@easter-eggs.com>
#
# Copyright (C) 2011-2015 Cyril Lacoux, Easter-eggs
# @app_url@
#
# This file is part of pyramid-helpers.
#
# pyramid-helpers is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# pyramid-helpers is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from pyramid.security import ALL_PERMISSIONS
from pyramid.security import Allow
from pyramid.security import Everyone


class PyramidHelpersResource(object):
    __acl__ = [
        (Allow, 'group:admin', ALL_PERMISSIONS),
    ]


class ArticlesResource(object):
    """
    Resource object for articles management
    valid permissions for Articles resources are
    add, delete, edit, view
    """
    __parent__ = PyramidHelpersResource

    __acl__ = [
        (Allow, Everyone, 'view'),
        (Allow, 'group:guest', 'add'),
        (Allow, 'group:guest', 'edit'),
    ]

    def __init__(self, request):
        pass


class TestResource(object):
    __acl__ = [
        (Allow, 'group:admin', 'admin'),
        (Allow, 'group:guest', 'guest'),
    ]

    def __init__(self, request):
        pass
