<%inherit file="../site.mako" />
<%
labels = {
    'draft': 'warning',
    'published': 'success',
    'refused': 'danger',
}
%>\
<div class="panel panel-default">
    <div class="panel-heading">
        <h2>${_(u'Article #{0}').format(article.id)}</h2>
        <small>${format_date(article.creation_date, format='long')} ${_(u'by %s') % article.author.fullname}</small>
% if has_permission('edit'):
        <span class="label label-${labels[article.status]} pull-right">${_(article.status.capitalize())}</label>
% endif
    </div>

    <div class="panel-body">
        <p>${article.text.replace('\n', '<br />') | n}</p>
    </div>
% if has_permission('edit'):

    <div class="panel-footer text-right">
        <a class="btn btn-primary" href="${request.route_url('articles.edit', article=article.id)}" title="${_(u'Edit article %s') % article.title}">${_(u'Edit')}</a>
    % if has_permission('delete'):
        <a class="btn btn-default" href="${request.route_url('articles.delete', article=article.id)}" title="${_(u'Delete article %s') % article.title}">${_(u'Delete')}</a>
    % endif
    </div>
% endif
</div>
