<%def name="render_limit(pager, extra_class=None)">
<ul class="ph-limit pagination${u' {0}'.format(extra_class) if extra_class else u''}">
% for limit in (10, 20, 30, 50):
    <li${u' class="active"' if limit == pager.limit else u'' | n}>
        <a class="partial-link" href="${pager.link(limit=limit)}" title="${_('View {0} items per page').format(limit)}">${limit}</a>
    </li>
% endfor
</ul>
</%def>

<%def name="render_pages(pager, extra_class=None)">
% if pager.page_count > 1:
<ul class="ph-pages pagination${u' {0}'.format(extra_class) if extra_class else u''}">
    <li${u' class="disabled"' if pager.page == 1 else u'' | n}>
        <a class="partial-link" href="${pager.link(page=pager.page - 1)}"><i class="glyphicon glyphicon-chevron-left"> </i></a>
    </li>
<% links = pager.links(2, 2) %>
    % if links[0][0] != 1:
    <li><a class="partial-link item" href="${pager.link(page=1)}">1</a></li>
    <li><span>...</span></li>
    % endif
    % for (page, url) in links:
    <li ${u' class="active"' if pager.page == page else u'' | n}><a class="partial-link" href="${url}">${page}</a></li>
    % endfor
    % if links[-1][0] != pager.last_page:
    <li><span>...</span></li>
    <li><a class="partial-link item" href="${pager.link(page=pager.last_page)}">${pager.last_page}</a></li>
    % endif
    <li${u' class="disabled"' if pager.page == pager.last_page else u'' | n}>
        <a class="partial-link" href="${pager.link(page=pager.page + 1)}"><i class="glyphicon glyphicon-chevron-right"> </i></a>
    </li>
</ul>
% endif
</%def>
