<%!
from pyramid_helpers.models import DBSession
from pyramid_helpers.models import Article
import sqlalchemy as sa
%>\
<%
articles = DBSession.query(Article).filter_by(status=u'published').order_by(sa.desc(Article.id))
%>\
<!DOCTYPE html>
<html>
<head>
    <title>The Pyramid Web Application Development Framework</title>
    <meta charset="utf-8">

    <!-- jQuery -->
    <script type="text/javascript" src="${request.static_url('pyramid_helpers:static/lib/jquery-2.1.0.min.js')}"></script>

    <!-- Boostrap -->
    <link rel="stylesheet" href="${request.static_url('pyramid_helpers:static/lib/bootstrap-3.3.2-dist/css/bootstrap.min.css')}" type="text/css" media="screen" />
    <script type="text/javascript" src="${request.static_url('pyramid_helpers:static/lib/bootstrap-3.3.2-dist/js/bootstrap.min.js')}"></script>

    <!-- Pyramid Helpers -->
    <link rel="stylesheet" href="${request.static_url('pyramid_helpers:static/pyramid-helpers.css')}" type="text/css" media="screen" />
    <script type="text/javascript" src="${request.static_url('pyramid_helpers:static/pyramid-helpers.js', version=2014040501)}"></script>
</head>

<body>
    <header>
        <nav class="navbar navbar-inverse navbar-fixed-top">
            <div class="container">
                <a class="navbar-brand" href="#">Pyramid Helpers</a>
                <div class="navbar-right">
% if authenticated_user is None:
                    <a class="btn btn-primary navbar-btn" href="${request.route_url('login')}" title="${_(u'Login')}">${_(u'login')}</a>
% else:
                    <p class="navbar-text">${authenticated_user.fullname}</p>
% if has_permission('add'):
                    <a class="btn btn-success navbar-btn" href="${request.route_url('articles.add')}" title="${_(u'New article')}">${_(u'New article')}</a>
% endif
                    <a class="btn btn-primary navbar-btn" href="${request.route_url('logout')}" title="${_(u'Logout')}">${_(u'logout')}</a>
% endif
                </div><!-- /.navbar-right -->
            </div><!-- /.container -->
        </nav>
    </header>

    <div class="container">
        <div class="jumbotron">
            <h1>${_(u'Welcome to {0}!').format(u'Pyramid Helpers')}</h1>
            <p>${_(u'This application is generated by the Pyramid web application development framework.')}</p>
            <p class="text-right"><a class="btn btn-primary btn-lg" href="#" role="button">${_(u'Learn more...')}</a></p>
        </div>

        <div class="row">
            <div class="col-md-3">
                <aside>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            ${_(u'News')}
                            <span class="badge pull-right">${articles.count()}</span>
                        </div>
                        <div class="list-group">
% for article in articles.limit(10):
                            <a class="list-group-item" href="${request.route_url('articles.view', article=article.id)}" title="${_(u'View article "{0}"').format(article.title)}">${article.title}</a>
% endfor
                        </div><!-- /.list-group -->
                    </div><!-- /.panel -->
                </aside>
            </div><!-- /.col -->

            <div class="col-md-9">
% if breadcrumb:
                <ol class="breadcrumb">
    % for name, url in breadcrumb[:-1]:
                    <li><a href="${url}">${name}</a></li>
    % endfor
    <% name, url = breadcrumb[-1] %>
                    <li class="active">${name}</li>
                </ol>
% endif
                <section>
${self.body()}
                </section>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container -->

    <footer>
        <div class="containr text-center">&copy; Copyright 2011-2015 Cyril Lacoux, <a href="http://easter-eggs.com">Easter-eggs</a>.</div>
    </footer>
</body>
</html>
